Bug 976291 - [as7] WebConnectorComponent throws ClassCastException when collecting _maxConnections metric on RHQ server
[as7] WebConnectorComponent throws ClassCastException when collecting _maxCon...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.7
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.9
Assigned To: Thomas Segismont
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 05:56 EDT by Thomas Segismont
Modified: 2014-03-26 04:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-26 04:31:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Segismont 2013-06-20 05:56:17 EDT
Description of problem:
WebConnectorComponent throws ClassCastException when collecting _maxConnections metric on RHQ server

Version-Release number of selected component (if applicable):
4.7

How reproducible:
Always

Steps to Reproduce:
1.Import RHQ server in inventory
2.Change the collection interval of "Max connections" to 30 seconds (to see the error quickly)
3.Open the agent log file

Actual results:
2013-06-19 12:19:28,067 WARN  [MeasurementManager.collector-1] (rhq.core.pc.measurement.MeasurementCollectorRunner)- Failure to collect measurement data for Resource[id=11604, uuid=c6362973-215d-43fd-b400-a753eca5927e, type={JBossAS7}Connector, key=subsystem=web,connector=https, name=https, parent=web] - cause: java.lang.ClassCastException:java.util.LinkedHashMap cannot be cast to java.lang.Integer

Expected results:
No warning message, metric collected

Additional info:
The read attribute operation returns a Map with 1 entry:
EXPRESSION_VALUE->${rhq.server.startup.web.max-connections:200}
Comment 1 Thomas Segismont 2013-06-25 10:09:52 EDT
Fixed in master

commit 2b58edfae71b976970e24f1b9a05f258348a1aa1
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Mon Jun 24 10:38:14 2013 +0200

Introduced a new ResolveExpression operation class
Introduced new prefix for all AS7 metrics: "_expr:"
Updated BaseComponent#getValues to support new metric name prefix
Updated max-connections config property for expression support
Comment 2 Heiko W. Rupp 2014-03-26 04:31:54 EDT
Bulk closing now that 4.10 is out.

If you think an issue is not resolved, please open a new BZ and link to the existing one.

Note You need to log in before you can comment on or make changes to this bug.